Kerbal Space Program - Bug #5249

Frame lag when context menu open for Mk16 parachute in Editor
07/19/2015 09:15 PM - featherwinglove

Status: Duplicate Start date: 07/19/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.04 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

| get a massive drop in frame rate when | open the context menu (tweakables) for the Mk16 Parachute in the Vehicle Assembly
Building. It does not occur with other parachutes or other types of parts. The frame rate returns to normal when the RMB context
menu is closed.

Running KSP ver. 1.0.4 on Windows 7 Professional on two different machines, one of which is a Meron-2M/Crestline laptop with 3GB
of application memory (4GB, the GPU uses 1GB; Lenovo T61 Core Duo T7300/2.0GHz and Intel Mobile Express 965.) The other is
a Wolfdale/Cedar desktop with 4GB of application memory and a separate VRAM (I can't find out how much at the moment. HP
Compaq dc7800p (sic - capitalization) with Core Duo E6750/2.67GHz / ATI EAH5450 video card set at 6550MHz GPU and 900MHz
memory.) | did not notice this effect on 1.0.2 and earlier. Testing further, will update soon.

Related issues:
Is duplicate of Kerbal Space Program - Bug #5169: Parachutes cause NullRefere... Closed 06/23/2015

History

#1 - 07/19/2015 10:15 PM - featherwinglove

Further testing revealed two properties:

1. The amount of lag is proportional to the amount of green in the top bar of the context menu (atmospheric pressure, what | call the "baroswitch")
2. The bug disappears completely with no mods and a blast of the PartDatabase.cfq file in the installation root directory. It is probably mod-related
(which seems odd on the face of it; no similar problems with any other part, including mod parts.) Mod information: ModuleManager 2.5.6, the first
versions of the Interstellar mod pack updated for 1.0.4, (as of posting, InterstellarFuelSwitch and Interstellar are begging for updates), Trajectories,
Waypoint Manager, 000_Toolbar.

TL;DR: Bug now appears to be mod-related, may be reported in wrong place.

#2 - 07/19/2015 10:16 PM - featherwinglove

Almost forgot 3. -force-opengl has no effect on the Wolfdale system (w.r.t. the bug's behaviour); OpenGL is not available on the Meron-2M system.

#3 - 07/20/2015 11:02 AM - Squelch
- Is duplicate of Bug #5169: Parachutes cause NullReferenceExceptions in VAB added

#4 - 07/20/2015 11:03 AM - Squelch
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Thanks for your report.

A quick search of the tracker reveals #5169 which has a workaround for the problem too.

#5 - 08/17/2015 07:33 AM - featherwinglove

Not seeing that workaround, Squelch. Am | just being blind?

#6 - 08/17/2015 08:48 AM - Squelch

featherwinglove wrote:

05/17/2024 1/2



https://bugs.kerbalspaceprogram.com/issues/5169

Not seeing that workaround, Squelch. Am I just being blind?

The workaround isn't linked directly due to it being a community fix and therefore a mod which cannot be supported on this tracker. Please seek out
aw's StockBugFixModules 1.0.4 on the forums.
